Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class TimeSpanSet

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.TimeSpanSet

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Iterable<SetTimeSpan>, java.util.Collection<SetTimeSpan>, java.util.Set<SetTimeSpan>, java.util.SortedSet<SetTimeSpan>

    public class TimeSpanSet

extends java.lang.Object
implements java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable, java.util.SortedSet<SetTimeSpan>

See Also:
  Serialized Form

Constructor Summary
`TimeSpanSet()`

Method Summary
`boolean` | `add(SetTimeSpan arg0)`
`boolean` | `addAll(java.util.Collection<? extends SetTimeSpan> arg0)`
`void` | `clear()`
`java.util.Comparator<? super SetTimeSpan>` | `comparator()`
`boolean` | `contains(java.lang.Object arg0)`
`boolean` | `containsAll(java.util.Collection<?> arg0)`
`SetTimeSpan` | `first()`
`java.util.SortedSet<SetTimeSpan>` | `headSet(SetTimeSpan arg0)`
`boolean` | `isEmpty()`
`boolean` | `isOverlap(TimeSpan ts)`
`java.util.Iterator<SetTimeSpan>` | `iterator()`
`SetTimeSpan` | `last()`
`boolean` | `remove(java.lang.Object arg0)`
`boolean` | `removeAll(java.util.Collection<?> arg0)`
`boolean` | `retainAll(java.util.Collection<?> arg0)`
`int` | `size()`
`java.util.SortedSet<SetTimeSpan>` | `subSet(SetTimeSpan arg0, SetTimeSpan arg1)`
`java.util.SortedSet<SetTimeSpan>` | `tailSet(SetTimeSpan arg0)`
`java.lang.Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Set
`equals, hashCode`

Constructor Detail

### TimeSpanSet

    public TimeSpanSet()

Method Detail

### isOverlap

    public boolean isOverlap(TimeSpan ts)

### add

    public boolean add(SetTimeSpan arg0)

  Specified by:
    `add` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `add` in interface `java.util.Set<SetTimeSpan>`

### addAll

    public boolean addAll(java.util.Collection<? extends SetTimeSpan> arg0)

  Specified by:
    `addAll` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `addAll` in interface `java.util.Set<SetTimeSpan>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `clear` in interface `java.util.Set<SetTimeSpan>`

### contains

    public boolean contains(java.lang.Object arg0)

  Specified by:
    `contains` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `contains` in interface `java.util.Set<SetTimeSpan>`

### containsAll

    public boolean containsAll(java.util.Collection<?> arg0)

  Specified by:
    `containsAll` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `containsAll` in interface `java.util.Set<SetTimeSpan>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `isEmpty` in interface `java.util.Set<SetTimeSpan>`

### iterator

    public java.util.Iterator<SetTimeSpan> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<SetTimeSpan>`
  Specified by:
    `iterator` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `iterator` in interface `java.util.Set<SetTimeSpan>`

### remove

    public boolean remove(java.lang.Object arg0)

  Specified by:
    `remove` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `remove` in interface `java.util.Set<SetTimeSpan>`

### removeAll

    public boolean removeAll(java.util.Collection<?> arg0)

  Specified by:
    `removeAll` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `removeAll` in interface `java.util.Set<SetTimeSpan>`

### retainAll

    public boolean retainAll(java.util.Collection<?> arg0)

  Specified by:
    `retainAll` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `retainAll` in interface `java.util.Set<SetTimeSpan>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `size` in interface `java.util.Set<SetTimeSpan>`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `toArray` in interface `java.util.Set<SetTimeSpan>`

### toArray

    public <T> T[] toArray(T[] arg0)

  Specified by:
    `toArray` in interface `java.util.Collection<SetTimeSpan>`
  Specified by:
    `toArray` in interface `java.util.Set<SetTimeSpan>`

### comparator

    public java.util.Comparator<? super SetTimeSpan> comparator()

  Specified by:
    `comparator` in interface `java.util.SortedSet<SetTimeSpan>`

### first

    public SetTimeSpan first()

  Specified by:
    `first` in interface `java.util.SortedSet<SetTimeSpan>`

### headSet

    public java.util.SortedSet<SetTimeSpan> headSet(SetTimeSpan arg0)

  Specified by:
    `headSet` in interface `java.util.SortedSet<SetTimeSpan>`

### last

    public SetTimeSpan last()

  Specified by:
    `last` in interface `java.util.SortedSet<SetTimeSpan>`

### subSet

    public java.util.SortedSet<SetTimeSpan> subSet(SetTimeSpan arg0,
                                                   SetTimeSpan arg1)

  Specified by:
    `subSet` in interface `java.util.SortedSet<SetTimeSpan>`

### tailSet

    public java.util.SortedSet<SetTimeSpan> tailSet(SetTimeSpan arg0)

  Specified by:
    `tailSet` in interface `java.util.SortedSet<SetTimeSpan>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.